from Katana import (
    Nodes3DAPI,
    FnAttribute,
    FnGeolibServices
)

nb = Nodes3DAPI.NodeTypeBuilder('HelloWorld')


def buildOpChain(self, interface):
    interface.setMinRequiredInputs(0)

    sscb = FnGeolibServices.OpArgsBuilders.StaticSceneCreate(True)

    sscb.createEmptyLocation('/root/world/geo/hello_world', 'hello world')
    
    opArgs = FnAttribute.GroupBuilder()
    interface.addOpSystemArgs(opArgs)

    interface.appendOp('StaticSceneCreate', sscb.build())
    interface.appendOp('HelloWorld', opArgs.build())
    
	

nb.setBuildOpChainFnc(buildOpChain)

nb.build()